php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #21527 undefined symbols not allowed
Submitted: 2003-01-08 14:30 UTC Modified: 2003-01-08 21:25 UTC
From: mike at sydel dot net Assigned:
Status: Not a bug Package: Sybase (dblib) related
PHP Version: 4.3.0 OS: CygWin/WinXP
Private report: No CVE-ID: None
 [2003-01-08 14:30 UTC] mike at sydel dot net
Hi,

I tried compiling PHP 4.3.0 under CygWin/Windows XP with the following options

--disable-cgi --disable-cli --with-apxs=/usr/sbin/apxs --with-mysql --with-sybase=/usr/local/freetds

and I got this during make:

******************************************************
*** Warning: This library needs some functionality provided by /usr/local/freetd
s/lib/libsybdb.la.
*** I have the capability to make that library automatically link in when
*** you link to this library.  But I can only do this if you have a
*** shared version of the library, which you do not appear to have.
*** Therefore, libtool will create a static module, that should work
*** as long as the dlopening application is linked with the -dlopen flag.
libtool: link: warning: undefined symbols not allowed in i686-pc-cygwin shared libraries
******************************************************

In this case, I have already successfully installed FreeTDS in /usr/local/freetds

However, make did not give any errors (except for the above warning) so I tried to "make install" but I got the following:

$ make install
Installing PHP SAPI module
apxs:Error: file libs/libphp4.so is not a DSO
make: *** [install-sapi] Error 1

Anything wrong with what I'm doing?

httpd -l returns mod_so under its list.

Thanks in advance.

Mike Lopez

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2003-01-08 17:51 UTC] sniper@php.net
Just read the warning..and do what it says: compile a shared version of the freetds libs. 

 [2003-01-08 21:25 UTC] mike at sydel dot net
Rather than compiling a shared version of tds, what I did was remove the option for sybase just to see if libphp4.so will be created.  So now configure is as follows:

./configure --disable-cgi --disable-cli --disable-xml --with-apxs=/usr/sbin/apxs --with-mysql

Sad to say during make install it still gave me:

Installing PHP SAPI module
apxs:Error: file libs/libphp4.so is not a DSO
make: *** [install-sapi] Error 1

I checked the libs folder and did not find libphp4.so there.  The only files there are:

libphp4.a
libphp4.la

Any other idea?

Please.  I need to get this working. :-)
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Wed Jun 19 10:01:27 2019 UTC